org.fourthline.cling.support.messagebox.model

## Class Message

- java.lang.Object
- - org.fourthline.cling.support.messagebox.model.Message

- All Implemented Interfaces:
    ElementAppender
  Direct Known Subclasses:
    MessageIncomingCall, MessageScheduleReminder, MessageSMS

      public abstract class Message
      extends Object
      implements ElementAppender

  https://sourceforge.net/apps/mediawiki/samygo/index.php?title=MessageBoxService_request_format
  Author:
    Christian Bauer

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Message.Category`
    `static class` | `Message.DisplayType`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Random` | `randomGenerator`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Message(int id, Message.Category category, Message.DisplayType displayType)`
    `Message(Message.Category category, Message.DisplayType displayType)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `Message.Category` | `getCategory()`
    `Message.DisplayType` | `getDisplayType()`
    `int` | `getId()`
    `int` | `hashCode()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.fourthline.cling.support.messagebox.model.ElementAppender

      `appendMessageElements`

- - ### Field Detail

    - #### randomGenerator

          protected final Random randomGenerator

  - ### Constructor Detail

    - #### Message

          public Message(Message.Category category,
                         Message.DisplayType displayType)

    - #### Message

          public Message(int id,
                         Message.Category category,
                         Message.DisplayType displayType)

  - ### Method Detail

    - #### getId

          public int getId()

    - #### getCategory

          public Message.Category getCategory()

    - #### getDisplayType

          public Message.DisplayType getDisplayType()

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2015 4th Line GmbH, Switzerland. All rights reserved.